[整理贴]编译安装adjuta 2

软件和网站开发以及相关技术探讨
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

[整理贴]编译安装adjuta 2

#1

帖子 yonsan » 2005-07-16 12:30

准备工作:查看下面的网站
http://anjuta.sourceforge.net/downloads

切换为root工作方式:

代码: 全选

sudo -s -H


先安装编译支持库及工具

代码: 全选

aptitude install gcc
aptitude install libgtk2.0-dev
aptitude install liborbit2-dev
aptitude install libglade2-dev
aptitude install libgnome2-dev
aptitude install libgnomeui-dev
aptitude install libgnomeprint2.2-dev
aptitude install libgnomeprintui2.2-dev
aptitude install libvte-dev
aptitude install libxml-parser-perl
aptitude install mozilla-dev
aptitude install libpcre3-dev


安装软件必需的依赖关系:
1.GNOME development library

代码: 全选

wget --cache=on http://ftp.gnome.org/pub/GNOME/sources/gdl/0.6/gdl-0.6.0.tar.gz
tar zxvf  gdl-0.6.0.tar.gz
cd gdl-0.6.0
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf gdl-0.6.0




2.GNOME build frame work

代码: 全选

wget --cache=on http://ftp.gnome.org/pub/GNOME/sources/gnome-build/0.1/gnome-build-0.1.2.tar.gz
tar zxvf gnome-build-0.1.2.tar.gz
cd gnome-build-0.1.2
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf gnome-build-0.1.2


3.Developers help system

代码: 全选

wget --cache=on http://ftp.gnome.org/pub/GNOME/sources/devhelp/0.9/devhelp-0.9.1.tar.gz
tar zxvf devhelp-0.9.1.tar.gz
cd devhelp-0.9.1
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf devhelp-0.9.1


4.Command options processing (required by autogen)

代码: 全选

wget --cache=on http://keihanna.dl.sourceforge.net/sourceforge/autogen/libopts-25.1.0.tar.gz
tar zxvf libopts-25.1.0.tar.gz
cd libopts-25.1.0
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf libopts-25.1.0



5.Scripting engine (required by autogen)

代码: 全选

wget --cache=on ftp://ftp.gnu.org/gnu/guile/guile-1.6.7.tar.gz
tar zxvf guile-1.6.7.tar.gz
cd guile-1.6.7
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf guile-1.6.7


6.Template processing engine (注意,这个包不是最新版的,用最新版编译是总是出错)

代码: 全选

wget --cache=on http://optusnet.dl.sourceforge.net/sourceforge/autogen/autogen-5.5.3.tar.gz
tar zxvf autogen-5.5.3.tar.gz
cd autogen-5.5.3
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf autogen-5.5.3


下载adjuta源代码并编译安装:

代码: 全选

wget -C http://jaist.dl.sourceforge.net/sourceforge/anjuta/anjuta-2.0.1.tar.gz
tar zxvf anjuta-2.0.1.tar.gz
cd anjuta-2.0.1
./configure --prefix=/usr && make && make install
cd ..
rm -Rdvf anjuta-2.0.1
exit


完成!
附件
Screenshot-1.png
(107.32 KiB) 下载 556 次
上次由 yonsan 在 2005-10-29 16:15,总共编辑 4 次。
I will be back!
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#2

帖子 oneleaf » 2005-07-16 12:54

当净其意如虚空,远离妄想及诸取,令心所向皆无碍
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#3

帖子 Alpher » 2005-08-22 10:43

按照楼主的方法,configure的时候出错
请教…………
checking for libxslt... Package libxslt was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxslt.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libxslt' found

configure: error: Library requirements (libxslt) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
root@ubuntu:/home/alpher/anjuta-2.0.1 #
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#4

帖子 yonsan » 2005-08-22 11:05

试试先装libxslt-dev再重新编译一次anjuta-2.0.1!

代码: 全选

aptitude install libxslt-dev
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#5

帖子 Alpher » 2005-08-22 11:23

OK 了
多谢
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#6

帖子 Alpher » 2005-08-22 11:57

装好了,不过不会用
怎么编译程序?

为什么我new一个gtk+的project,然后就编译,却会出错?
附件
Screenshot.png
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#7

帖子 yonsan » 2005-08-22 12:19

:o 呵呵! 你装它是学gtk+编程吗?
如果是刚开始学的话,我是觉得没有必要一开始就用这样的IDE工具!
我一般也只用gvim写写gtk+的测试示例,然后写个makefile再执行编译运行的!
by the way, 偶也是gtk+方面的新手! :o
如果你已有相当的gtk+ 编程经验的话,有空常来指导一下哦!! :wink:
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#8

帖子 Alpher » 2005-08-22 12:24

yonsan 写了::o 呵呵! 你装它是学gtk+编程吗?
如果是刚开始学的话,我是觉得没有必要一开始就用这样的IDE工具!
我一般也只用gvim写写gtk+的测试示例,然后写个makefile再执行编译运行的!
by the way, 偶也是gtk+方面的新手! :o
如果你已有相当的gtk+ 编程经验的话,有空常来指导一下哦!! :wink:

那个我会,一直那么用
不过想尝试一下IDE
总是不会用
不知道是什么原因
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#9

帖子 yonsan » 2005-08-22 12:33

呵呵,估计你在anjuta中也是没有设置好gtk+的头文件路径和支持库路径吧?
偶的问题是它总说找不到某些头文件!! 晕, 小程序还是不用IDE算了,自已在makefile中添加多容易! :o
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#10

帖子 Alpher » 2005-08-22 13:30

yonsan 写了:呵呵,估计你在anjuta中也是没有设置好gtk+的头文件路径和支持库路径吧?
偶的问题是它总说找不到某些头文件!! 晕, 小程序还是不用IDE算了,自已在makefile中添加多容易! :o


我看了help,找不到他上面说的菜单
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#11

帖子 yonsan » 2005-09-02 10:09

:o Alpher兄! 终于可以在anjuta中成功编译llk_linux了!
原来基本上不用设置什么头文件路径,你运行出错可能是由于还有anjuta相关的支持库未装!
问一个问题: ubuntu下装esd是那个包? 我怎么没找到,只能注释掉esd相关的函数才能编译通过! 没声音了!其它还算正常!
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#12

帖子 Alpher » 2005-09-02 18:42

yonsan 写了::o Alpher兄! 终于可以在anjuta中成功编译llk_linux了!
原来基本上不用设置什么头文件路径,你运行出错可能是由于还有anjuta相关的支持库未装!
问一个问题: ubuntu下装esd是那个包? 我怎么没找到,只能注释掉esd相关的函数才能编译通过! 没声音了!其它还算正常!

可怜我都不会用
只能用gedit凑合
有空教教我吧
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#13

帖子 yonsan » 2005-09-02 19:09

装完这一堆用于gtk开发的软件后使用anjuta基本上没出什么由于系统环境引起的编译错误了! 昨天狠心格了系统重装,将所有安装anjuta提示的依赖者装上,
呵呵,一直花了两个多星期才正式用上anjuta!!

在anjuta中使用llk_linux源代码是成功编译并可以运行了,但还有不足的就是需要手动拷QQ.pak 等文件到/usr/local/llk_linux下才正常运行!

代码: 全选

#!/bin/bash
#=============================================================
# 此脚本用于在ubuntu5.04下配置gtk+开发环境
#
apt-get install anjuta
apt-get install anjuta-common
apt-get install apache
apt-get install at-spi-doc
apt-get install autobook
apt-get install autoconf
apt-get install autoconf2.13
apt-get install autoconf-archive
apt-get install autogen
apt-get install automake
apt-get install bison
apt-get install ctags
apt-get install cvs
apt-get install devhelp
apt-get install devhelp-books
apt-get install exuberant-ctags
apt-get install flex
apt-get install g++
apt-get install g77
apt-get install gcc
apt-get install gcj
apt-get install gda2-freetds
apt-get install gda2-mysql
apt-get install gda2-odbc
apt-get install gda2-postgres
apt-get install gda2-sqlite
apt-get install glade-2
apt-get install glade-doc-2
apt-get install glade-gnome-2
apt-get install gnome-devel
apt-get install gnu-standards
apt-get install gnutls-bin
apt-get install httpd
apt-get install indent
apt-get install libcompress-zlib-perl
apt-get install libgail-doc
apt-get install libglib2.0-doc
apt-get install libgnome2-dev
apt-get install libgnome2-doc
apt-get install libgnomecanvas2-doc
apt-get install libgnomemm2.0-dev
apt-get install libgnomeui-doc
apt-get install libgtk2.0-dev
apt-get install libgtk2.0-doc
apt-get install libgtkmm2.0-dev
apt-get install libgtkmm2.0-doc
apt-get install libhtml-format-perl
apt-get install libio-socket-ssl-perl
apt-get install libltdl3-dev
apt-get install libmailtools-perl
apt-get install libpango1.0-doc
apt-get install libpcre3
apt-get install libstdc++5-3.3-doc
apt-get install libtool
apt-get install libtool-doc
apt-get install manpages-dev
apt-get install menu
apt-get install orbit2
apt-get install stl-manual
apt-get install shared-mime-info
apt-get install ttf-thryomanes
Alpher
帖子: 50
注册时间: 2005-06-09 17:36
送出感谢: 0
接收感谢: 0

#14

帖子 Alpher » 2005-09-02 22:51

那个修改一下makefile就可以了
呵呵
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#15

帖子 yonsan » 2005-09-02 22:56

:o makefile是由./configure 自动生成的!
要想办法修改configure.in 或makefile.am才行!
回复

回到 “软件/网站开发”